@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body, pre {
    font-family: 'Roboto', sans-serif !important;
    font-size: small !important;
    color: #111;
}

.bg-success {
    background: rgba(4, 222, 0, 0.4) !important;
}

.didis {
    cursor: not-allowed;
}

.modal-title {
    font-weight: bold;
}

.modal-header .close {
    margin: -1rem !important;
}

.alert {
    padding: 0.35rem 0.45rem !important;
    margin-bottom: 0.5rem !important;
    margin-top: 0.5rem !important;
}

.text-success {
    color: rgb(35, 166, 81) !important
}

.d-sm-flex.align-items-center.justify-content-between.mb-4 {
    font-size: 1.25rem !important;
    margin-top: -0.9rem !important;
    margin-bottom: 0.5rem !important;
}

.nav-item ul {
    list-style-type: none;
    padding-left: 0rem;
}

.foto-profile {
    height: 3rem;
    width: 3rem;
    margin-top: 0.5rem;
    border-radius: 100%;
    background-size: cover;
    background-position: 50% 50%;
}

.table th {
    padding: 0.2rem 0.3rem !important;
}

.modal-footer, .modal-header {
    padding: 0.4rem !important;
}

.img-thumbnail {
    padding: 0rem !important;
}

.table td {
    padding: 0.12rem 0.3rem !important;
    vertical-align: middle;
}

.table th {
    font-size: 0.65rem;
}

.table td {
    font-size: 0.75rem;
}

.title {
    color: rgb(36, 81, 133);
}

.rounded-lg {
    border-radius: 0rem !important;
}

.w-96.rounded-lg {
    padding: 0.5rem;
    border: thin solid rgb(222, 222, 222);
}

.absolute.inset-y-0.pl-3.flex {
    padding-left: 0.3rem !important;
}

.form-input.block.bg-gray-50.pl-10 {
    padding-left: 2rem !important;
    padding-right: 1.9rem;
}

.form-input:focus {
    outline:none !important;
}

.overflow-x-scroll {
    overflow-x: auto !important;
}

.absolute.inset-y-0.right-0.pr-3 {
    padding-right: 0rem !important;
}

.shadow-lg, .shadow-sm {
    box-shadow: 0 0 0 transparent !important;
}

.image-banner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 4rem;
    z-index: 1 !important;
    display: block !important;
}

.topbar #sidebarToggleTop i {
    color: #fff !important;
    font-size: 1.4rem;
}

.topbar #sidebarToggleTop:active, .topbar #sidebarToggleTop:hover {
    color: rgb(255, 153, 52) !important;
}

@media screen and (max-width: 1024px) {
    .image-banner {
        display: none !important;
    }
}

.topbar {
    height: 4rem;
    background: rgb(255, 153, 52);
}

.img-profile {
    margin-top: 0.5rem;
    max-width: 3rem !important;
    width: 3rem !important;
}

.collapse-inner {
    padding: 0 !important;
}

.sidebar, .sidebar .collapse {
    background: linear-gradient(to right, rgb(39, 127, 65), rgb(49, 127, 75));
}

/*
.sidebar-dark .nav-item .nav-link[data-toggle="collapse"]::after {
    color: #111 !important;
}
*/

hr {
    margin-top: 0.3rem !important;
    margin-bottom: 0.3rem !important;
}

a {
    color: rgb(32, 107, 57);
}

.dataTable, .table {
    color: #111 !important;
}

.text-dark {
    color: #111 !important;
}

.badge {
    color: #eee !important;
}

.badge-secondary {
    background-color: #5e6061;
}

table.dataTable tbody th, table.dataTable tbody td {
    padding: 5px 7px !important;
}

a:hover {
    color: rgb(22, 97, 47);
}

.nav-lung {
    padding: 0.1rem 1rem;
    display: block;
    text-align: left;
    color: #111;
}

h4 {
    font-size: 1.25rem;
    color: #111;
}

.sidebar-dark .nav-item .nav-link, .sidebar-dark .nav-item.active .nav-link i {
    color: #eee !important;
}

.main-header {
    color: #222 !important;
}

footer.sticky-footer {
    padding: 1rem 0;
}

.card-body {
    padding: 0.7rem;
}

.nav-link {
    padding: 0.3rem 0.6rem;
}

table.dataTable thead th, table.dataTable thead td {
    padding: 7px 10px !important;
}

.sidebar .nav-item .collapse .collapse-inner .collapse-item, .sidebar .nav-item .collapsing .collapse-inner .collapse-item {
    color: #eee !important;
    padding: 0.3rem 1rem;
}
#userDropdown .col-md-9 {
    padding-top: 0.5rem;
}

.h3 {
    font-size: 1.30rem !important;
}

h5 {
    font-size: 1rem !important;
}

.modal-header, .modal-body {
    padding: 0.65rem;
}

.modal-content {
    color: #111;
}

.form-group {
    margin-bottom: 0.4rem;
    color: #111;
}

form.user .form-control-user {
    padding: 0.5rem 0.8rem !important;
}

.form-control:focus {
    color: #111 !important;
}

select.form-control {
    padding: 0.12rem 0.2rem !important;
    font-size: 0.8rem !important;
}

/*th, td { white-space: nowrap; }*/

table.dataTable, table.dataTable th, table.dataTable td {
    box-sizing: border-box !important;
}

.form-control, .input-group-text {
    padding: 0.15rem 0.4rem;
    height: auto;
    font-size: 0.8rem;
    border-radius: 0.2rem;
    color: #222;
}

label {
    margin-bottom: 0.2rem;
}

label.form-check-label {
    font-weight: normal;
}

.btn {
    padding: 0.1rem 0.2rem;
    border-radius: 0.2rem;
    font-size: small;
}

.btn-warning {
    background: #f0ba29 !important;
    border-color: #f0ba29 !important;
}

.btn-warning:hover {
    background: #cf9c17 !important;
    border-color: #cf9c17 !important;
}

.btn-info {
    background: #25b0c4 !important;
    border-color: #25b0c4 !important;
}

.btn-info:hover {
    background: #1da4b8 !important;
    border-color: #1da4b8 !important;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    color: #111 !important;
}

.text-gray-800 {
    color: #111 !important;
}

.collapse-header {
    color: #ddd !important;
    font-size: 0.72rem !important;
}

.collapse-item:hover {
    background: transparent !important;
    color: #333 !important;
}

.bg-marketing {
    background: rgb(79, 157, 105);
}

.text-marketing {
    color: rgb(252, 150, 48);
}

.text-marketing:hover {
    color: rgb(247, 146, 45);
}

.sidebar .nav-item .collapse .collapse-inner, .sidebar .nav-item .collapsing .collapse-inner {
    margin: 0rem;
}

.btn.bg-marketing {
    border: thin solid rgb(79, 157, 105);
}

.btn.bg-marketing:hover, .btn.bg-marketing:focus {
    background: rgb(69, 147, 95);
    border-color: rgb(69, 147, 95);
}

@media (min-width: 768px) {
    .sidebar .nav-item .collapse, .sidebar .nav-item .collapsing {
        margin: 0;
        padding: 0 1rem;
    }
}

/*  Star Rating   */
.star {
    position: relative;
    height: 4rem;
}

.bungkus_star {
    position: absolute;
    left: 0;
    bottom: 0;
}

.star_wrapper {
    width: 2rem;
    position: relative;
    display: inline-block;
    margin: 0 0.4rem;
    color:rgb(80, 80, 80);
}

.star_container {
    width: 100%;
}

.star_rating {
    font-size: 1.4rem;
    position: relative;
    cursor: pointer;
}

.rating_big {
    font-size: 4rem !important;
}

.star_rating:before, .star_mini:before {
    content: '\2605';
}

.star_rating.star_checked, .star_mini.star_checked {
    color:rgb(245, 191, 15);
}